Bug 1059370 - avr-gdb may be affected by libiberty CVE
avr-gdb may be affected by libiberty CVE
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: avr-gdb (Show other bugs)
22
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Thibault North
Fedora Extras Quality Assurance
: SecurityTracking
Depends On:
Blocks: CVE-2012-3509
  Show dependency treegraph
 
Reported: 2014-01-29 12:59 EST by Toshio Ernie Kuratomi
Modified: 2016-07-19 16:28 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 16:28:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Toshio Ernie Kuratomi 2014-01-29 12:59:30 EST
Description of problem:

libiberty is a collection of functions that are used in a variety of GNU projects. It is designed to be bundled into consuming applications. Unfortunately, one of the functions provided by libiberty has recently been the subject of a CVE https://bugzilla.redhat.com/show_bug.cgi?id=849693 . Whenever that happens we have to have packagers of all the consuming applications analyze their package's use of libiberty to decide whether they're affected or not. If affected, the bundled libiberty code needs to be updated.

You can fix this issue in one of the following ways:

* Patch the libiberty _objalloc_alloc() code to perform the required overflow checking. This may be less work than analyzing the code to see if it's vulnerable and may also save you from future headaches because you might not know if your upstream has changed its code to start using the _objalloc_alloc() function in the future. You can find libiberty upstream's patch for this issue here: ​
http://gcc.gnu.org/viewcvs/gcc/trunk/libiberty/objalloc.c?r1=184997&r2=191413
 
* Analyze your package's code to see if the _objalloc_alloc() function in libiberty/objalloc.c is vulnerable. If so, check whether your package compiles it in and uses the _objalloc_alloc() from libiberty.  If so, you may further analyze the package code to see if invalid input can be passed to _objalloc_alloc() and if so, if that input can cause any problems for the application. If that's all true, then you must fix the code in question. If your code is not affected you can close this bug with an explanation of why the _objalloc_alloc() flaw doesn't affect your code.  You can verify if your code makes use of _objalloc_alloc() using this recipe:


# yum install ${Your packages' and their subpackages'}-debuginfo
$ nm /usr/lib/debug/usr/bin/${Your packages' binaries}.debug | grep -w _objalloc_alloc
00000000005d85c0 T _objalloc_alloc

If you see lines containing _objalloc_alloc then your code makes use of the problematic code and is potentially affected.
Comment 1 Jaroslav Reznik 2015-03-03 10:26:15 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 2 Fedora End Of Life 2016-07-19 16:28:26 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.